PulseAudio 12.0 fails to rebuild: tests/volume-test.c:148:F:volume:volume_test:0: Assertion 'mdn <= 253' failed FAIL volume-test (exit status: 1)

Bug #1785556 reported by Daniel van Vugt on 2018-08-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
Daniel van Vugt

Bug Description

https://gitlab.freedesktop.org/pulseaudio/pulseaudio/issues/559

---

PulseAudio 12.0 fails to rebuild:

FAIL: volume-test
=================

Running suite(s): Volume
Attenuation of sample 1 against 32767: -90.3087 dB
Smallest possible attenuation > 0 applied to 32767: 0
max deviation: 1 n=283
0%: Checks: 1, Failures: 1, Errors: 0
tests/volume-test.c:148:F:volume:volume_test:0: Assertion 'mdn <= 253' failed
FAIL volume-test (exit status: 1)

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: pulseaudio 1:12.0-1ubuntu1
ProcVersionSignature: Ubuntu 4.17.0-6.7-generic 4.17.9
Uname: Linux 4.17.0-6-generic x86_64
ApportVersion: 2.20.10-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dan 19372 F.... pulseaudio
Date: Mon Aug 6 14:20:30 2018
InstallationDate: Installed on 2018-05-26 (71 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180525)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
SourcePackage: pulseaudio
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/06/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: M16KT47A
dmi.board.name: 3102
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN 3259627060530
dmi.chassis.type: 3
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrM16KT47A:bd02/06/2018:svnLENOVO:pn10M7CTO1WW:pvrThinkCentreM710s:rvnLENOVO:rn3102:rvrSDK0J40709WIN3259627060530:cvnLENOVO:ct3:cvrNone:
dmi.product.family: ThinkCentre M710s
dmi.product.name: 10M7CTO1WW
dmi.product.version: ThinkCentre M710s
dmi.sys.vendor: LENOVO

Daniel van Vugt (vanvugt) wrote :
Changed in pulseaudio (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
Daniel van Vugt (vanvugt) wrote :
description: updated
Changed in pulseaudio (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:12.2-0ubuntu1

---------------
pulseaudio (1:12.2-0ubuntu1) cosmic; urgency=medium

  * New upstream release 12.2 (LP: #1785551):
    - Fixed broken configure script that was present in release 12.1.
  * New upstream release 12.1:
    - Fixed crash when switching to A2DP bluetooth profile
    - Fixed plugin search path in module-ladspa-sink
    - Fixed file permissions for the pipes created by module-pipe-sink and
      module-pipe-source
  * Add 0050-disable-volume-test.patch to work around volume-test failures
    (LP: #1785556).

 -- Daniel van Vugt <email address hidden> Mon, 06 Aug 2018 13:42:13 +0800

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers